﻿using FormLayout.Model;
using Syncfusion.XForms.DataForm;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace FormLayout.View
{
    public class FormSourceProvider : SourceProvider
    {

        private Object _obj;

        public FormSourceProvider(Object  editingObj)
        {
            _obj = editingObj;
        }

        public override IList GetSource(string sourceName)
        {
            var list = new List<SimpleInfo>();
            if (sourceName == "CustomerGroup")
            {
                list.Add(new SimpleInfo() { Code = "", Description = "No Group" });
                list.Add(new SimpleInfo() { Code = "W", Description = "W. Wholesales"});
                list.Add(new SimpleInfo() { Code = "O", Description = "O. Online" });
                list.Add(new SimpleInfo() { Code = "R", Description = "R. Retails" });
                
            }
            return list;
        }

    }
}
